%define	module	File-NFSLock
%define	name	perl-%{module}
%define	version	1.20
%define	release	%mkrel 4

Name:		%{name}
Summary:	%{module} module for perl
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/~bbb/%{module}
Source0:	http://search.cpan.org/CPAN/authors/id/B/BB/BBB/%{module}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{module} perl module

%prep
%setup -q -n %{module}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/File/NFSLock.pm
%{_mandir}/man3/*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.20-4mdv2009.0
+ Revision: 241219
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-2mdv2008.0
+ Revision: 86401
- rebuild


* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.20-1mdk
- initial Mandriva release

